<?php

// app/Http/Controllers/ApiController.php

namespace App\Http\Controllers\All;

use App\Models\EciData;

use App\Models\EciUser;

use App\Models\Relation;

use App\Models\Cms;

use App\Models\Country;

use App\Models\State;

use App\Models\City;

use App\Models\Pincode;

use App\Models\BoothNumber;

use App\Models\Colony;

use App\Models\Page;

use App\Models\PollingStation;

use App\Models\WordNumber;



use App\Imports\UsersImport;

use Maatwebsite\Excel\Facades\Excel;

use Illuminate\Http\Request;

use Illuminate\Support\Str;

use App\Http\Controllers\Controller;

use DB;



use Illuminate\Validation\ValidationException;

use Illuminate\Database\QueryException;

use Illuminate\Support\Facades\Storage;



class ApiController extends Controller

{

    public function country()

    {

        $country = Country::all();

        return response()->json([ 'result' => $country, "status" => "success"], 200); 

    }



    public function state(Request $request)

    {

        $result = State::where('country', $request->country)->get();

        return response()->json([ 'result' => $result, "status" => "success"], 200); 

    }



    public function city(Request $request)

    {

        $result = City::where('state', $request->state)->get();

        return response()->json([ 'result' => $result, "status" => "success"], 200); 

    }



    public function pincode(Request $request)

    {

        $result = Pincode::where('city', $request->city)->get();

        return response()->json([ 'result' => $result, "status" => "success"], 200); 

    }



    public function other(Request $request)

    {

        $polling = PollingStation::all();

        $colony = Colony::all();

        $boothResult = BoothNumber::all();

        $wordResult = WordNumber::all();

        return response()->json([ 'result' =>  array("polling" => $polling, "colony" => $colony, "booth" => $boothResult, "word" => $wordResult), "status" => "success"], 200); 

    }



    public function cms()

    {

        $result = Cms::first();

        return response()->json([ 'result' => $result, "status" => "success"], 200); 

    }



    public function page()

    {

        $result = Page::where([])->get();

        return response()->json([ 'result' => $result, "status" => "success"], 200); 

    }



    public function myecidata(Request $request)

    {

        $query = EciData::query();

        $query->where('edi_users_id',$request->edi_users_id);

        $result = $query->get();

        $result->load('city', 'state', 'polling_station', 'colony', 'country', 'booth_number');       

        return response()->json([ 'result' => $result, "status" => "success", "image_base_url" => url('images/')], 200); 

    }



    public function addecidata(Request $request)

    {



        try {

            

            

             $result = EciData::where('votar_id_no', $request->votar_id_no)->first();

                  

            if($result){

                   return response()->json(['errors' => "error", 'message' => 'Votar id exist', "status" => "error"], 422);

            }

            

            // // Validate the incoming request

            // $validatedData = $request->validate([

            //     'edi_users_id' => 'string',

            //     'votar_id_no' => 'required|string',

            //     'votar_name' => 'required|string',

            //     'mobile' => 'required|string',

            //     'colony' => 'required|string',

                

            // ]);

    

            // Attempt to create the record in the database

            EciData::create([

                'edi_users_id' => $request->edi_users_id,

                'ac_no' => $request->ac_no,

                'ward_no' => $request->ward_no,

                'part_no' => $request->part_no,

                'section' => $request->section,

                'sl_no' => $request->sl_no,

                'votar_id_no' => $request->votar_id_no,

                'votar_name' => $request->votar_name,

                'mobile' => $request->mobile,

                'house_number' => $request->house_number,

                'age' => $request->age,

                'sex' => $request->sex,

                'polling_station_id' => $request->polling_station,

                'colony_id' => $request->colony,

                'block' => $request->block,

                'gali_no_id' => $request->gali_no,

                'country_id' => $request->country,

                'city_id' => $request->city,

                'state_id' => $request->state,

                'postal_code' => $request->pincode,

                'booth_number_id' => $request->booth_number,



                'relative_name' => $request->relative_name,

                'parent_state' => $request->parent_state,

                'parent_district' => $request->parent_district,

                'religion' => $request->religion,

                'cast' => $request->cast,

                'dob' => $request->dob,

                'marriage_date' => $request->marriage_date,

                'profession' => $request->profession,

                'remarks' => $request->booth_number,

            ]);

    

            // Return success response

            return response()->json(['message' => 'Data successfully added', "status" => "success" ], 200);

    

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        }

    }





    public function updateecidata(Request $request)

    {



        try {

            // // Validate the incoming request

            // $validatedData = $request->validate([

            //     'edi_users_id' => 'string',

            //     'votar_id_no' => 'required|string',

            //     'votar_name' => 'required|string',

            //     'mobile' => 'required|string',

            //     'colony' => 'required|string',

                

            // ]);

            

            $result = EciData::where('votar_id_no', $request->votar_id_no)

                  ->where('id', '!=', $request->id)

                  ->first();

                  

            if($result){

                   return response()->json(['errors' => "error", 'message' => 'Votar id exist', "status" => "error"], 422);

            }

    

            // Attempt to create the record in the database

              EciData::updateOrCreate(

                ['id' => $request->id],

                [

                    'ac_no' => $request->ac_no,

                    'ward_no' => $request->ward_no,

                    'part_no' => $request->part_no,

                    'section' => $request->section,

                    'sl_no' => $request->sl_no,

                    'votar_id_no' => $request->votar_id_no,

                    'votar_name' => $request->votar_name,

                    'mobile' => $request->mobile,

                    'house_number' => $request->house_number,

                    'age' => $request->age,

                    'sex' => $request->sex,

                    'polling_station_id' => $request->polling_station,

                    'colony_id' => $request->colony,

                    'block' => $request->block,

                    'gali_no_id' => $request->gali_no,

                    'country_id' => $request->country,

                    'city_id' => $request->city,

                    'state_id' => $request->state,

                    'postal_code' => $request->pincode,

                   'booth_number_id' => $request->booth_number,



                   'relative_name' => $request->relative_name,

                   'parent_state' => $request->parent_state,

                   'parent_district' => $request->parent_district,

                   'religion' => $request->religion,

                   'cast' => $request->cast,

                   'dob' => $request->dob,

                   'marriage_date' => $request->marriage_date,

                   'profession' => $request->profession,

                   'remarks' => $request->booth_number,

                ]

            );

    

            // Return success response

            return response()->json(['message' => 'Data successfully updated', "status" => "success" ], 200);

    

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        }

    }



    public function deleteecidata(Request $request)

    {

        

        Relation::where(['parent' => $request->id])->delete();

        Relation::where(['source' => $request->id])->delete();

        // Find the MCQ category by ID

        $ecidata = EciData::findOrFail($request->id);

    

        // Delete the MCQ category

        $ecidata->delete();

        return response()->json(['message' => 'Data successfully deleted', "status" => "success" ], 200);

         

    }





    public function deleteRelation(Request $request)

    {

        // Find the MCQ category by ID

        $ecidata = Relation::findOrFail($request->id);

    

        // Delete the MCQ category

        $ecidata->delete();

        return response()->json(['message' => 'Data successfully deleted', "status" => "success" ], 200);

         

    }



    public function login(Request $request)

    {

        $result = EciUser::where(['email' => $request->email, 'password' => $request->password])->get()->first();

        if($result){

            

            if($result->device_id != $request->device_id){

                if($result->device_id != ""){

                    return response()->json([ 'result' => $result, "status" =>  "success", "message" => "Already logged in on another device." ], 401); 

                }

                

                 EciUser::updateOrCreate(

                    ['email' => $request->email],

                    [

                        'device_id' => $request->device_id

                    ]

                );

            }

            

            return response()->json([ 'result' => $result, "status" =>  "success" ], 200); 

        }else{

            return response()->json([ 'result' => $result, "status" =>  "success", "message" => "Invalid login details." ], 401); 

        }

        

    }



    public function uploadFront(Request $request)

    {

        // Store the image

        if ($request->file('image')) {

            $image = $request->file('image');

            $imageName = time() . '.' . $image->getClientOriginalExtension();

            $image->move(public_path('images'), $imageName);



            EciData::updateOrCreate(

                ['edi_users_id' => $request->id],

                [

                    'votar_id_front' => $imageName

                ]

            );



            // Return a successful response

            return response()->json([

                'success' => true,

                'message' => 'Image uploaded successfully!',

                'image_path' => url('images/' . $imageName),

            ], 200);

        }



        return response()->json([

            'status' => "error",

            'message' => 'Image upload failed!',

        ], 200);

    }



    public function uploadBack(Request $request)

    {

        // Store the image

        if ($request->file('image')) {

            $image = $request->file('image');

            $imageName = time() . '.' . $image->getClientOriginalExtension();

            $image->move(public_path('images'), $imageName);



            EciData::updateOrCreate(

                ['edi_users_id' => $request->id],

                [

                    'votar_id_back' => $imageName

                ]

            );



            // Return a successful response

            return response()->json([

                'success' => true,

                'message' => 'Image uploaded successfully!',

                'image_path' => url('images/' . $imageName),

            ], 200);

        }



        return response()->json([

            'status' => "error",

            'message' => 'Image upload failed!',

        ], 200);

    }

    public function myecidata_global_search(Request $request)

    {

        $query = EciData::query();

    

        // Apply filters based on request input

        if ($request->has('city') && $request->city != "") {

            $query->where('city_id', $request->input('city'));

        }

    

        if ($request->has('state') && $request->state != "") {

            $query->where('state_id', $request->input('state'));

        }

    

        if ($request->has('votar_id_no') && $request->votar_id_no != "") {

            $query->where('votar_id_no', 'like', '%' . $request->input('votar_id_no') . '%');

        }

    

        if ($request->has('postal_code') && $request->postal_code != "") {

            $query->where('postal_code', 'like', '%' . $request->input('postal_code') . '%');

        }

    

        if ($request->has('ward_no') && $request->ward_no != "") {

            $query->where('ward_no', 'like', '%' . $request->input('ward_no') . '%');

        }

    

        if ($request->has('colony') && $request->colony != "") {

            $query->where('colony_id', $request->input('colony'));

        }

    

        if ($request->has('polling_station') && $request->polling_station != "") {

            $query->where('polling_station_id', $request->input('polling_station'));

        }

    

        if ($request->has('booth_number') && $request->booth_number != "") {

            $query->where('booth_number_id', $request->input('booth_number'));

        }

    

         if ($request->has('keyword') && trim($request->keyword) != "") {

        $keyword = $request->input('keyword');

        $keywords = array_filter(explode(' ', trim($keyword))); // Remove empty elements



        $query->where(function($q) use ($keywords) {

            foreach ($keywords as $keyword) {

                $q->where(function($subQuery) use ($keyword) {

                    $subQuery->where('votar_name', 'like', '%' . $keyword  )

                             ->orWhere('votar_id_no', 'like', '%' . $keyword . '%')

                             ->orWhere('relative_name', 'like', '%' . $keyword  )

                             ->orWhere('sl_no', 'like', '%' . $keyword . '%');

                });

            }



            // Use orWhereHas within the same closure to ensure proper grouping

            $q->orWhereHas('colony', function($q) use ($keywords) {

                foreach ($keywords as $keyword) {

                    $q->where('name', 'like', '%' . $keyword . '%');

                }

            });



            $q->orWhereHas('booth_number', function($q) use ($keywords) {

                foreach ($keywords as $keyword) {

                    $q->where('name', 'like', '%' . $keyword . '%');

                }

            });

        });

    }



    // Filter by admin data

    if ($request->has('showAdminData') && $request->showAdminData == 1) {

        $query->where(function($q) use ($request) {

            $q->where('edi_users_id', $request->edi_users_id)

              ->orWhere('edi_users_id', 1);

        });

    } else {

        $query->where('edi_users_id', $request->edi_users_id);

    }



    

        // Get the pagination parameters from the request, default to 10 items per page

        $perPage = $request->input('per_page', 10); // Default to 10 if not provided

        $page = $request->input('page', 1); // Default to page 1 if not provided

    

        // Paginate the results

        $result = $query->paginate($perPage, ['*'], 'page', $page);

    

        // Load related models

        $result->load('city', 'state', 'polling_station', 'colony', 'country', 'booth_number');

    

        // Return the paginated response

        return response()->json([

            'result' => $result->items(), // Return the paginated items

            'pagination' => [

                'total' => $result->total(),

                'per_page' => $result->perPage(),

                'current_page' => $result->currentPage(),

                'last_page' => $result->lastPage(),

                'from' => $result->firstItem(),

                'to' => $result->lastItem(),

            ],

            "status" => "success",

            "image_base_url" => url('images/')

        ], 200);

    }

    



    public function setRelation(Request $request)

    {



        try {

            // Validate the incoming request

            $validatedData = $request->validate([

                'edi_users_id' => 'required|string',

                'parent' => 'required|string',

                'source' => 'required|string',

            ]);

        

            $result = EciData::where(['votar_id_no' => $request->parent])->get()->first();

            if(!$result){

                return response()->json([

                    'status' => "error",

                    'message' => 'Votar id card not found',

                ], 200);

            }

            

            // Attempt to update or create the record in the database

            Relation::updateOrCreate(

                [

                    // Criteria for matching an existing record

                    'edi_users_id' => $request->edi_users_id,

                    'parent' => $result->id,

                    'source' => $request->source,

                    

                ],

                [

                    // Fields to update or insert

                    'parent' => $result->id,

                    'source' => $request->source,

                    'relation_name' => $request->relation_name,

                ]

            );

        

            // Return success response

            return response()->json(['message' => 'Data successfully added or updated', "status" => "success" ], 200);

        

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        }

    }





    public function updateRelation(Request $request)

    {



        try {

            // Validate the incoming request

            $validatedData = $request->validate([

                'id' => 'required|string',

            ]);

            

            Relation::updateOrCreate(

                ['id' => $request->id],

                [

                    'relation_name' => $request->relation_name,

                ]

            );

        

            // Return success response

            return response()->json(['message' => 'Data successfully added or updated', "status" => "success" ], 200);

        

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        }

    }



    public function import(Request $request)

    {



        if ($request->file('file')) {

            try {

                Excel::import(new UsersImport, $request->file('file'));

        

                // Return a successful response

                return response()->json([

                    'success' => true,

                    'message' => 'File imported successfully',

                ], 200);

            } catch (\Exception $e) {

                // Return the original error message

                return response()->json([

                    'status' => 'error',

                    'message' => 'File upload failed!',

                ], 200);

                // $e->getMessage(),

            }

        }

        

        return response()->json([

            'status' => "error",

            'message' => 'File upload failed!',

        ], 200);

        

       

    }



    //  public function getFamilyTree($source_id) {

    //     // Fetch the initial relation based on the passed source_id

    //     $currentRelation = Relation::where('source', $source_id)->first();

        

    //     // If no relation is found, return null

    //     if (!$currentRelation || !$currentRelation->parent) {

    //         return null;

    //     }

    

    //     // Recursive function to trace back the family tree

    //     $getParentTree = function ($relation) use (&$getParentTree) {

    //         // Fetch parent data for the current relation

    //         $parentData = EciData::where('id', $relation->parent)->first();

            

    //         if ($parentData) {

    //             // Load related data like city, state, etc.

    //             $parentData->load('city', 'state', 'polling_station', 'colony', 'country', 'booth_number');

    //         }

    

    //         // Prepare the current relation with its parent data

    //         $tree = [

    //             'relation' => $relation,

    //             'data' => $parentData,

    //             'descendants' => [] // Prepare descendants key

    //         ];

    

    //         // Recursively fetch ancestors if they exist

    //         $parentRelation = Relation::where('source', $relation->parent)->first();

    //         if ($parentRelation) {

    //             $tree['descendants'] = $getParentTree($parentRelation); // Recursive call

    //         }

    

    //         return $tree;

    //     };

    

    //     // Start building the tree from the current relation

    //     $familyTree = $getParentTree($currentRelation);

    

    //     return $familyTree;

    // }

    

    public function getFamilyTree($parent_id,$edi_users_id) {

        

        $currentRelation = Relation::where('source', $parent_id)->where('edi_users_id', $edi_users_id)->get();

        $parentIds = $currentRelation->pluck('parent')->toArray();

       

        if($currentRelation){

           

        $children = Relation::whereIn('parent', $parentIds)->where('source', $parent_id)->where('edi_users_id', $edi_users_id)->get();

        foreach ($children as $child) {

            // Fetch related data for each edi_users_id dynamically

            $childData = EciData::where('id', $child->parent)->first();

            

            if ($childData) {

                // Load related data like city, state, etc.

                $childData->load('city', 'state', 'polling_station', 'colony', 'country', 'booth_number');

            }

    

            // Add childData to the child relation

            $child['data'] = $childData;



            $child['descendants'] = [];

        }

    

        return $children;

        }else {

            return [];

        }

        

    }

    

    

    

    

    

    public function tree(Request $request)

    {

        $familyTree = $this->getFamilyTree($request->source, $request->edi_users_id);



       

        return response()->json([ 'result' => $familyTree, "status" => "success", "image_base_url" => url('images/')], 200);        

    }



    public function otherCity(Request $request)

    {

        $city = City::all();

        return response()->json([ 'result' => $city, "status" => "success"], 200); 

    }



    public function otherState(Request $request)

    {

        $city = City::all();

        return response()->json([ 'result' => $city, "status" => "success"], 200); 

    }



    public function otherCountry(Request $request)

    {

        $country = Country::all();

        return response()->json([ 'result' => $country, "status" => "success"], 200); 

    }



    public function otherColony(Request $request)

    {

        $colony = Colony::all();

        return response()->json([ 'result' => $colony, "status" => "success"], 200); 

    }



    public function otherPolling(Request $request)

    {

        $polling = PollingStation::all();

        return response()->json([ 'result' => $polling, "status" => "success"], 200); 

    }



    public function otherBooth(Request $request)

    {

        $boothResult = BoothNumber::all();

        return response()->json([ 'result' => $boothResult, "status" => "success"], 200); 

    }



    public function otherWord(Request $request)

    {

        $wordResult = WordNumber::all();

        return response()->json([ 'result' => $wordResult, "status" => "success"], 200); 

    }



    public function otherPincode(Request $request)

    {

        $pincode = Pincode::all();

        return response()->json([ 'result' => $pincode, "status" => "success"], 200); 

    }

    

     public function markMyData(Request $request)

    {



        try {

            // Validate the incoming request

            $validatedData = $request->validate([

                'id' => 'required|string',

                'login_user_id' => 'required|string',

            ]);

            

            $existingRecord = EciData::find($request->id);

            if ($existingRecord) {

                // 2. Save the data of the existing record in a variable

                $newRecordData = $existingRecord->toArray();

        

                // 3. Update specific fields for the new record

                $newRecordData['edi_users_id'] = $request->login_user_id; // Modify the field with new value

        

                // 4. Unset the ID to avoid duplication conflict (if auto-incrementing primary key)

                unset($newRecordData['id']);

        

                // 5. Insert the new record

                EciData::create($newRecordData);

            }

        

            // Return success response

            return response()->json(['message' => 'Data successfully added or updated', "status" => "success" ], 200);

        

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        }

    }

    

     

    

public function yourdata(Request $request)

{

    // Define the number of items per page (default to 10 if not provided)

    $perPage = $request->get('per_page', 10); // You can pass ?per_page=10 as a query parameter

    $page = $request->get('page', 1); // You can pass ?page=1 as a query parameter



    // Build the query for distinct sources

    $distinctQuery = Relation::where('edi_users_id', $request->edi_users_id);



    // Apply the keyword filter for counting distinct sources

    if ($request->filled('keyword')) {

        $keyword = $request->input('keyword');

        $keywords = array_filter(explode(' ', trim($keyword)));



        $distinctQuery->where(function ($q) use ($keywords) {

            // Search within the `source` table's fields

            $q->whereHas('source', function ($subQuery) use ($keywords) {

                foreach ($keywords as $word) {

                    $subQuery->where(function ($sq) use ($word) {

                        $sq->where('votar_name', 'like', '%' . $word . '%')

                           ->orWhere('votar_id_no', 'like', '%' . $word . '%')

                           ->orWhere('relative_name', 'like', '%' . $word . '%')

                           ->orWhere('sl_no', 'like', '%' . $word . '%');

                    });

                }

            });



            // Search within the related `booth_number` table's `name` field

            $q->orWhereHas('source.booth_number', function ($subQuery) use ($keywords) {

                foreach ($keywords as $word) {

                    $subQuery->where('name', 'like', '%' . $word . '%');

                }

            });



            // Search within the related `colony` table's `name` field

            $q->orWhereHas('source.colony', function ($subQuery) use ($keywords) {

                foreach ($keywords as $word) {

                    $subQuery->where('name', 'like', '%' . $word . '%');

                }

            });

        });

    }



    // Get the distinct count of sources

    $distinctTotal = $distinctQuery->distinct('source')->count('source');



    // Build the main query for pagination

    $query = Relation::query();

    $query->where('edi_users_id', $request->edi_users_id);



    // Apply the same keyword filter to the main query

    if ($request->filled('keyword')) {

        $keyword = $request->input('keyword');

        $keywords = array_filter(explode(' ', trim($keyword)));



        $query->where(function ($q) use ($keywords) {

            // Search within the `source` table's fields

            $q->whereHas('source', function ($subQuery) use ($keywords) {

                foreach ($keywords as $word) {

                    $subQuery->where(function ($sq) use ($word) {

                        $sq->where('votar_name', 'like', '%' . $word . '%')

                           ->orWhere('votar_id_no', 'like', '%' . $word . '%')

                           ->orWhere('relative_name', 'like', '%' . $word . '%')

                           ->orWhere('sl_no', 'like', '%' . $word . '%');

                    });

                }

            });



            // Search within the related `booth_number` table's `name` field

            $q->orWhereHas('source.booth_number', function ($subQuery) use ($keywords) {

                foreach ($keywords as $word) {

                    $subQuery->where('name', 'like', '%' . $word . '%');

                }

            });



            // Search within the related `colony` table's `name` field

            $q->orWhereHas('source.colony', function ($subQuery) use ($keywords) {

                foreach ($keywords as $word) {

                    $subQuery->where('name', 'like', '%' . $word . '%');

                }

            });

        });

    }



    // Select distinct sources

    $query->select('source')->distinct();



    // Paginate the result

    $result = $query->paginate($perPage, ['*'], 'page', $page);



    // Load the source relationship and its related fields

    $result->load([

        'source',

        'source.state',

        'source.polling_station',

        'source.colony',

        'source.country',

        'source.booth_number',

        'source.city'

    ]);



    // Return the paginated result with metadata

    return response()->json([

        'data' => $result->items(), // The actual data

        'total' => $distinctTotal, // Correct total number of distinct records

        'per_page' => $result->perPage(), // Number of items per page

        'current_page' => $result->currentPage(), // Current page number

        'last_page' => $result->lastPage(), // Last available page number

        'from' => $result->firstItem(), // The first item number on this page

        'to' => $result->lastItem(), // The last item number on this page

        'status' => 'success',

        'image_base_url' => url('images/')

    ], 200);

}



public function single(Request $request)

    {

          try {

            // Validate the incoming request

            $validatedData = $request->validate([

                'id' => 'required|string',

            ]);

            

            $data = EciData::where(['id' => $request->id])->get()->first();

            $data->load('city', 'state', 'polling_station', 'colony', 'country', 'booth_number'); 

        

            // Return success response

            return response()->json(['data' => $data, "status" => "success" ], 200);

        

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        } 

    }

    

    

    public function updateecidatamobile(Request $request)

    {



        try {

            // Validate the incoming request

            $validatedData = $request->validate([

                'id' => 'required|string'

            ]);

            

            

            // Attempt to create the record in the database

              EciData::updateOrCreate(

                ['id' => $request->id],

                [

                    'mobile' => $request->mobile,

                ]

            );

    

            // Return success response

            return response()->json(['message' => 'Data successfully updated', "status" => "success" ], 200);

    

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        }

    }



    public function eciDataSql(Request $request)

    {

          try {

               // Define the table name

    $tableName = 'eci_data';



     

   

    $createTableSql = "CREATE TABLE `eci_data` (

    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,

    `edi_users_id` bigint(20) unsigned DEFAULT NULL,

    `ac_no` varchar(255) DEFAULT NULL,

    `city_id` int(255) DEFAULT NULL,

    `state_id` int(255) DEFAULT NULL,

    `postal_code` varchar(255) DEFAULT NULL,

    `ward_no` varchar(255) DEFAULT NULL,

    `part_no` varchar(255) DEFAULT NULL,

    `section` varchar(255) DEFAULT NULL,

    `sl_no` varchar(255) DEFAULT NULL,

    `votar_id_no` varchar(255) DEFAULT NULL,

    `votar_name` varchar(255) DEFAULT NULL,

    `mobile` varchar(255) DEFAULT NULL,

    `house_number` varchar(255) DEFAULT NULL,

    `age` varchar(255) DEFAULT NULL,

    `sex` varchar(255) DEFAULT NULL,

    `polling_station_id` int(255) DEFAULT NULL,

    `colony_id` int(255) DEFAULT NULL,

    `block` varchar(255) DEFAULT NULL,

    `gali_no_id` varchar(255) DEFAULT NULL,

    `votar_id_front` varchar(255) DEFAULT NULL,

    `votar_id_back` varchar(255) DEFAULT NULL,

    `relation` varchar(255) DEFAULT NULL,

    `booth_number_id` int(11) DEFAULT NULL,

    `country_id` int(11) DEFAULT NULL,

    `relative_name` varchar(255) DEFAULT NULL,

    `parent_state` varchar(255) DEFAULT NULL,

    `parent_district` varchar(255) DEFAULT NULL,

    `religion` varchar(255) DEFAULT NULL,

    `cast` varchar(255) DEFAULT NULL,

    `dob` varchar(255) DEFAULT NULL,

    `marriage_date` varchar(255) DEFAULT NULL,

    `profession` varchar(255) DEFAULT NULL,

    `remarks` varchar(500) DEFAULT NULL,

    `created_at` timestamp NULL DEFAULT NULL,

    `updated_at` timestamp NULL DEFAULT NULL,

    PRIMARY KEY (`id`),  -- Define the primary key here

    KEY `eci_informations_edi_users_id_foreign` (`edi_users_id`),

    KEY `booth_number` (`booth_number_id`),

    KEY `country` (`country_id`),

    KEY `city_id` (`city_id`),

    KEY `colony_id` (`colony_id`),

    KEY `state_id` (`state_id`)

) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;"; // Append the table options



    // 2. Fetch all records and generate `INSERT` statements

    $data = EciData::all();

    $insertSql = '';



    foreach ($data as $row) {

        $columns = implode(', ', array_map(function ($key) {

            return "`$key`";

        }, array_keys($row->getAttributes())));



        $values = implode(', ', array_map(function ($value) {

            return is_null($value) ? 'NULL' : "'" . addslashes($value) . "'";

        }, array_values($row->getAttributes())));



        $insertSql .= "INSERT INTO `{$tableName}` ({$columns}) VALUES ({$values});\n";

    }



    // 3. Combine `CREATE TABLE` and `INSERT` statements

    $sql = "-- SQL Export for EciData\n\n";

    $sql .= "DROP TABLE IF EXISTS `{$tableName}`;\n";

    $sql .= $createTableSql;  // Correctly append the CREATE TABLE statement

    $sql .= $insertSql;



    // 4. Store the SQL file temporarily on the server

    $fileName = 'exported_query.sql';

    Storage::disk('local')->put($fileName, $sql);



    // 5. Download the file

    return response()->download(storage_path("app/{$fileName}"))->deleteFileAfterSend(true);

        

        } catch (ValidationException $e) {

            // Handle validation errors

            return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

        } catch (QueryException $e) {

            // Handle database-related errors (like SQL errors)

            return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

        } catch (\Exception $e) {

            // Catch any other general exceptions

            return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

        } 

    }

    

   public function eciDataCsv(Request $request)

{

    try {

        // Define the table name

        $fileName = 'eci_data.csv';

        

        // Open a file for writing in storage

        $filePath = storage_path("app/{$fileName}");

        $file = fopen($filePath, 'w');



        // Add the header to the CSV (column names)

        $columns = [

            'id', 'edi_users_id', 'ac_no', 'city_id', 'state_id', 'postal_code', 'ward_no',

            'part_no', 'section', 'sl_no', 'votar_id_no', 'votar_name', 'mobile', 'house_number',

            'age', 'sex', 'polling_station_id', 'colony_id', 'block', 'gali_no_id',

            'votar_id_front', 'votar_id_back', 'relation', 'booth_number_id', 'country_id',

            'relative_name', 'parent_state', 'parent_district', 'religion', 'cast', 'dob',

            'marriage_date', 'profession', 'remarks', 'created_at', 'updated_at'

        ];

        fputcsv($file, $columns);



        // Fetch all records and write to the CSV

        $data = EciData::all();



        foreach ($data as $row) {

            $csvData = [

                $row->id, $row->edi_users_id, $row->ac_no, $row->city_id, $row->state_id, 

                $row->postal_code, $row->ward_no, $row->part_no, $row->section, $row->sl_no, 

                $row->votar_id_no, $row->votar_name, $row->mobile, $row->house_number, $row->age, 

                $row->sex, $row->polling_station_id, $row->colony_id, $row->block, $row->gali_no_id, 

                $row->votar_id_front, $row->votar_id_back, $row->relation, $row->booth_number_id, 

                $row->country_id, $row->relative_name, $row->parent_state, $row->parent_district, 

                $row->religion, $row->cast, $row->dob, $row->marriage_date, $row->profession, 

                $row->remarks, $row->created_at, $row->updated_at

            ];

            fputcsv($file, $csvData);

        }



        // Close the file after writing

        fclose($file);



        // Download the CSV file

        return response()->download($filePath)->deleteFileAfterSend(true);

        

    } catch (ValidationException $e) {

        return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

    } catch (QueryException $e) {

        return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

    } catch (\Exception $e) {

        return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

    } 

}





   public function relationDataCsv(Request $request)

{

    try {

        // Define the table name

        $fileName = 'relation.csv';

        

        // Open a file for writing in storage

        $filePath = storage_path("app/{$fileName}");

        $file = fopen($filePath, 'w');



        // Add the header to the CSV (column names)

        $columns = [

            'id', 'edi_users_id', 'parent', 'relation_name', 'source', 'created_at', 'updated_at'

        ];

        fputcsv($file, $columns);



        // Fetch all records and write to the CSV

        $data = Relation::all();



        foreach ($data as $row) {

            $csvData = [

                $row->id, $row->edi_users_id, $row->parent, $row->relation_name, $row->source, 

                 $row->created_at, $row->updated_at

            ];

            fputcsv($file, $csvData);

        }



        // Close the file after writing

        fclose($file);



        // Download the CSV file

        return response()->download($filePath)->deleteFileAfterSend(true);

        

    } catch (ValidationException $e) {

        return response()->json(['errors' => $e->errors(), 'message' => 'Validation Failed', "status" => "error"], 422);

    } catch (QueryException $e) {

        return response()->json(['error' => $e->getMessage(), 'message' => 'Database Error', "status" => "error"], 500);

    } catch (\Exception $e) {

        return response()->json(['error' => $e->getMessage(), 'message' => 'An unexpected error occurred'], 500);

    } 

}





}

