<?php
// app/Http/Controllers/CmsController.php

namespace App\Http\Controllers\All;

use App\Models\Cms;
use App\Models\Country;
use App\Models\State;
use App\Models\City;
use App\Models\Pincode;
use App\Models\BoothNumber;
use App\Models\Colony;
use App\Models\PollingStation;


use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;

class CmsController extends Controller
{
    public function edit()
    {
        $page = Cms::first();
        return view('user.cms.edit', compact('page'));
    }
    

    public function update(Request $request)
    {
        $page = Cms::first();
    
        $Cms = Cms::updateOrCreate(
            ['id' => $page->id],
            [
                'phone' => $request->phone,
                'email' => $request->email,
                'address' => $request->address,
                'facebook' => $request->facebook,
                'twitter' => $request->twitter,
                'linkedin' => $request->linkedin,
                'instagram' => $request->instagram,
            ]
        );
        
        return redirect()->route('user.cms.edit')->with('success', 'Settings updated successfully');
    }

    public function country()
    {
        $country = Country::all();
        echo json_encode( array("result" => $country ));
    }

    public function state(Request $request)
    {
        $result = State::where('country', $request->country)->get();
        echo json_encode( array("result" => $result ));
    }

    public function city(Request $request)
    {
        $result = City::where('state', $request->state)->get();
        echo json_encode( array("result" => $result ));
    }

    public function pincode(Request $request)
    {
        $result = Pincode::where('city', $request->city)->get();
        echo json_encode( array("result" => $result ));
    }

    public function other(Request $request)
    {
        $polling = PollingStation::where('pincode', $request->pincode)->get();
        $colony = Colony::where('pincode', $request->pincode)->get();
        $boothResult = BoothNumber::where('pincode', $request->pincode)->get();
        
        echo json_encode( array("result" =>
            array("polling" => $polling, "colony" => $colony, "booth" => $boothResult)
         ));
    }
}
