<?php

namespace App\Imports;

use App\Models\BoothNumber;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class BoothImport implements ToModel, WithHeadingRow
{
    /**
     * Handle each row of the CSV file.
     * @param array $row
     * @return BoothNumber|null
     */
    public function model(array $row)
    {
        // Check if the booth number with the name exists
        $boothNumber = BoothNumber::where('name', $row['name'])->first();

        // If the booth number does not exist, create a new one
        if (!$boothNumber) {
            $boothNumber = new BoothNumber();
        }

        // Assign the values from the row
        $boothNumber->name = $row['name'];
        // You can add more fields here if needed
        // $boothNumber->other_field = $row['other_field'];

        // Save the booth number (insert or update)
        $boothNumber->save();

        return $boothNumber;
    }
}
