<?php

namespace App\Imports;

use App\Models\Colony;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class ColonyImport implements ToModel, WithHeadingRow
{
    /**
     * Handle each row of the CSV file.
     * @param array $row
     * @return Colony|null
     */
    public function model(array $row)
    {
        // Check if the colony with the name exists
        $colony = Colony::where('name', $row['name'])->first();

        // If the colony does not exist, create a new one
        if (!$colony) {
            $colony = new Colony();
        }

        // Assign the values from the row
        $colony->name = $row['name'];

        // Save the colony (insert or update)
        $colony->save();

        return $colony;
    }
}
