<?php

namespace App\Imports;

use App\Models\PollingStation;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class PoolingImport implements ToModel, WithHeadingRow
{
    /**
     * Handle each row of the CSV file.
     * @param array $row
     * @return PollingStation|null
     */
    public function model(array $row)
    {
        
        // Check if the polling station with the name exists
        $pollingStation = PollingStation::where('name', $row['name'])->first();

        // If the polling station does not exist, create a new one
        if (!$pollingStation) {
            $pollingStation = new PollingStation();
        }

        // Assign the values from the row
        $pollingStation->name = $row['name'];
        // You can add more fields here if needed
        // $pollingStation->other_field = $row['other_field'];

        // Save the polling station (insert or update)
        $pollingStation->save();

        return $pollingStation;
    }
}
