<?php

namespace App\Imports;

use App\Models\WordNumber;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class WordsImport implements ToModel, WithHeadingRow
{
    /**
     * Handle each row of the CSV file.
     * @param array $row
     * @return WordNumber|null
     */
    public function model(array $row)
    {
        // Check if the word with the name exists
        $wordNumber = WordNumber::where('name', $row['name'])->first();

        // If the word does not exist, create a new one
        if (!$wordNumber) {
            $wordNumber = new WordNumber();
        }

        // Assign the values from the row
        $wordNumber->name = $row['name'];

        // Save the word (insert or update)
        $wordNumber->save();

        return $wordNumber;
    }
}
