@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Add ECI data</h3>
            </div>
        </div>
         
        
        <div class="row">
            <div class="col-3 col-md-1"></div>
            <div class="col-6 col-md-10">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">
                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('errors'))
                            <div class="alert alert-warning p-3" role="alert">
                                {{ session('errors') }}
                            </div>
                        @endif

                        <form method="post" action="{{ route('user.ecidata.store') }}"  >
                            @csrf
                                
                                <div class="row">
                                    
                                    <input type="hidden" name="edi_users_id" value="<?php echo $_GET['id']; ?>">

                                    <div class="col-md-6">
                                            <div class="form-group mt-2">
                                            <label for="name">{{ __('Name') }}</label>
                                            <input type="name" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name' ) }}" required>
                                            @error('name')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                            <div class="form-group mt-2">
                                            <label for="email">{{ __('Email') }}</label>
                                            <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" name="email" value="{{ old('email' ) }}" required>
                                            @error('email')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                            <div class="form-group mt-2">
                                            <label for="ac_no">{{ __('AC no') }}</label>
                                            <input type="ac_no" class="form-control @error('ac_no') is-invalid @enderror" id="ac_no" name="ac_no" value="{{ old('ac_no') }}" >
                                            @error('ac_no')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                        <label for="ward_no">{{ __('Ward no') }}</label>

                                        <select value="{{ old('ward_no') }}" class="form-control @error('ward_no') is-invalid @enderror"  id="ward_no" name="ward_no"  >
                                            <option value="">Select an option</option>
                                            <?php foreach($word_number as $crow){ ?>
                                                <option value="<?php echo $crow->name; ?>" ><?php echo $crow->name; ?></option>
                                            <?php } ?>
                                        </select>

                                         @error('ward_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                        <label for="part_no">{{ __('Part no') }}</label>
                                        <input type="part_no" class="form-control @error('part_no') is-invalid @enderror" id="part_no" name="part_no" value="{{ old('part_no') }}" >
                                        @error('part_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    </div>
                                    <div class="col-md-6">
                                    <div class="form-group mt-2">
                                        <label for="section">{{ __('Section') }}</label>
                                        <input type="section" class="form-control @error('section') is-invalid @enderror" id="section" name="section" value="{{ old('section') }}" >
                                        @error('section')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                        <label for="sl_no">{{ __('SL no') }}</label>
                                        <input type="sl_no" class="form-control @error('sl_no') is-invalid @enderror" id="sl_no" name="sl_no" value="{{ old('sl_no') }}" >
                                        @error('sl_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                    </div>
                                    <div class="col-md-6">
                                    <div class="form-group mt-2">
                                        <label for="votar_id_no">{{ __('Votar id no') }}</label>
                                        <input type="votar_id_no" class="form-control @error('votar_id_no') is-invalid @enderror" id="votar_id_no" name="votar_id_no" value="{{ old('votar_id_no') }}" required>
                                        @error('votar_id_no')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                    </div>
                                    <div class="col-md-6"> 
                                        <div class="form-group mt-2">
                                            <label for="votar_name">{{ __('Votar name') }}</label>
                                            <input type="votar_name" class="form-control @error('votar_name') is-invalid @enderror" id="votar_name" name="votar_name" value="{{ old('votar_name') }}" required>
                                            @error('votar_name')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="mobile">{{ __('Mobile') }}</label>
                                            <input type="number" class="form-control @error('mobile') is-invalid @enderror" id="mobile" name="mobile" value="{{ old('mobile') }}" required>
                                            @error('mobile')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="house_number">{{ __('House number') }}</label>
                                            <input type="text" class="form-control @error('house_number') is-invalid @enderror" id="house_number" name="house_number" value="{{ old('house_number') }}" >
                                            @error('house_number')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                     
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="age">{{ __('Age') }}</label>
                                            <input type="number" class="form-control @error('age') is-invalid @enderror" id="age" name="age" value="{{ old('age') }}" >
                                            @error('age')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="sex">{{ __('Gender') }}</label>
                                            <select class="form-control @error('sex') is-invalid @enderror" id="sex" name="sex">
                                                <option value=""> Select </option>
                                                <option value="Male" {{ old('sex') == "Male" && "selected" }} > Male </option>
                                                <option value="Female" {{ old('sex') == "Female" && "selected" }}> Female </option>
                                                <option value="Other" {{ old('sex') == "Other" && "selected" }}> Other </option>
                                            </select>
                                            
                                            @error('sex')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>


                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="country">{{ __('Country') }}</label>
                                            <select value="{{ old('country') }}" class="form-control @error('country') is-invalid @enderror"  id="country" name="country" onChange="getState(this.value)" >
                                                <option value="">Select an option</option>
                                                <?php foreach($country as $crow){ ?>
                                                    <option value="<?php echo $crow->id; ?>" selected><?php echo $crow->name; ?></option>
                                                <?php } ?>
                                            </select>
        
                                            @error('country')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="state">{{ __('State') }}</label>
                                            <select value="{{ old('state') }}" class="form-control @error('state') is-invalid @enderror"  id="state" name="state" onChange="getCity(this.value)" > 
                                            </select>
                                            @error('state')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="city">{{ __('City') }}</label>
                                            <select value="{{ old('city') }}" class="form-control @error('city') is-invalid @enderror"  id="city" name="city" onChange="getPincode(this.value)" > 
                                            </select>
                                            @error('city')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="pincode">{{ __('Pin Code') }}</label>
                                            <select value="{{ old('pincode') }}" class="form-control @error('pincode') is-invalid @enderror"  id="pincode" name="pincode"  onChange="getOther(this.value)" > 
                                            </select>
                                            @error('pincode')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="polling_station">{{ __('Polling station') }}</label>
                                            <select value="{{ old('polling_station') }}" class="form-control @error('polling_station') is-invalid @enderror"  id="polling_station" name="polling_station"   > 
                                                <option value="">Select an option</option>
                                                <?php foreach($polling_station as $crow){ ?>
                                                    <option value="<?php echo $crow->id; ?>" selected><?php echo $crow->name; ?></option>
                                                <?php } ?>
                                            </select>

                                            @error('polling_station')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="colony">{{ __('Colony') }}</label>
                                            <select value="{{ old('colony') }}" class="form-control @error('colony') is-invalid @enderror"  id="colony" name="colony" required   > 
                                                <option value="">Select an option</option>
                                                <?php foreach($colony as $crow){ ?>
                                                    <option value="<?php echo $crow->id; ?>" selected><?php echo $crow->name; ?></option>
                                                <?php } ?>
                                            </select>
                                            @error('colony')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="booth_number">{{ __('Booth Number') }}</label>
                                            <select value="{{ old('booth_number') }}" class="form-control @error('booth_number') is-invalid @enderror"  id="booth_number" name="booth_number"    > 
                                                <option value="">Select an option</option>
                                                <?php foreach($booth_number as $crow){ ?>
                                                    <option value="<?php echo $crow->id; ?>" selected><?php echo $crow->name; ?></option>
                                                <?php } ?>
                                            </select>
                                            @error('booth_number')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="block">{{ __('Block') }}</label>
                                            <input type="text" class="form-control @error('block') is-invalid @enderror" id="block" name="block" value="{{ old('block') }}" >
                                            @error('block')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="gali_no">{{ __('Gali no') }}</label>
                                            <input type="text" class="form-control @error('gali_no') is-invalid @enderror" id="gali_no" name="gali_no" value="{{ old('gali_no') }}" required>
                                            @error('gali_no')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    
                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="relative_name">{{ __('Relative name') }}</label>
                                            <input type="text" class="form-control @error('relative_name') is-invalid @enderror" id="relative_name" name="relative_name" value="{{ old('relative_name') }}" >
                                            @error('gali_no')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="parent_state">{{ __('Parent state') }}</label>
                                            <input type="text" class="form-control @error('parent_state') is-invalid @enderror" id="parent_state" name="parent_state" value="{{ old('parent_state') }}" >
                                            @error('parent_state')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="parent_district">{{ __('Parent district') }}</label>
                                            <input type="text" class="form-control @error('parent_district') is-invalid @enderror" id="parent_district" name="parent_district" value="{{ old('parent_district') }}" >
                                            @error('parent_district')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="religion">{{ __('Religion') }}</label>
                                            <input type="text" class="form-control @error('religion') is-invalid @enderror" id="religion" name="religion" value="{{ old('religion') }}" >
                                            @error('religion')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="cast">{{ __('Cast') }}</label>
                                            <input type="text" class="form-control @error('cast') is-invalid @enderror" id="cast" name="cast" value="{{ old('cast') }}" >
                                            @error('cast')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="dob">{{ __('DOB') }}</label>
                                            <input type="date" class="form-control @error('dob') is-invalid @enderror" id="dob" name="dob" value="{{ old('dob') }}" >
                                            @error('dob')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="marriage_date">{{ __('Marriage date') }}</label>
                                            <input type="date" class="form-control @error('marriage_date') is-invalid @enderror" id="marriage_date" name="marriage_date" value="{{ old('marriage_date') }}" >
                                            @error('marriage_date')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group mt-2">
                                            <label for="profession">{{ __('Profession') }}</label>
                                            <input type="text" class="form-control @error('profession') is-invalid @enderror" id="profession" name="profession" value="{{ old('profession') }}" >
                                            @error('profession')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="form-group mt-2">
                                            <label for="remarks">{{ __('Remarks') }}</label>
                                            <textarea  class="form-control @error('remarks') is-invalid @enderror" id="remarks" name="remarks"  >{{ old('remarks') }}</textarea>
                                            @error('remarks')
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>




                                </div>

                                
                            
                                

                                

                               

                                

                               

                                

                                        

                                <br/>
                                 <br/>

                            <button type="submit" class="btn btn-primary w-100 mt-2">Add </button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-3 col-md-1"></div>
        </div>
         
    </div>
</main>
@endsection

 
@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
 getState(1, 28);
 $("#country").val(1);
 function getState(id, state=""){
    $.ajax({
        url: "{{ route('user.state')}}?country="+id, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#state');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });

            if(state != ""){
                $('#state').val(state)
            }
            getCity(28, 748);
         
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}

function getCity(id, city=""){
    $.ajax({
        url: "{{ route('user.city')}}?state="+id, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#city');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });

            if(city != ""){
                $('#city').val(city)
            }
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}

function getPincode(id){
    $.ajax({
        url: "{{ route('user.pincode')}}?city="+id, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#pincode');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.name).text(entry.name));
            });
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}


function getOther(pincode){
    $.ajax({
        url: "{{ route('user.other')}}?pincode="+pincode, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#polling_station');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result.polling, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });

            //////
            //////

            var dropdown = $('#colony');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result.colony, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });

            /////
            /////

            var dropdown = $('#booth_number');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result.booth, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}
</script>

 

@endsection

