@extends('layouts.user.userdashboard')
@section('content')

<style>
    .branch {
  position: relative;
  margin-right: 250px;
}
.branch:before {
  content: "";
  width: 50px;
  border-top: 2px solid #333;
  position: absolute;
  right: -100px;
  top: 50%;
  margin-top: 1px;
}

.entry {
  position: relative;
  min-height: 60px;
}
.entry:before {
  content: "";
  height: 100%;
  border-right: 2px solid #333;
  position: absolute;
  right: -50px;
}
.entry:after {
  content: "";
  width: 50px;
  border-top: 2px solid #333;
  position: absolute;
  right: -50px;
  top: 50%;
  margin-top: 1px;
}
.entry:first-child:before {
  width: 10px;
  height: 50%;
  top: 50%;
  margin-top: 2px;
  border-radius: 0 10px 0 0;
}
.entry:first-child:after {
  height: 10px;
  border-radius: 0 10px 0 0;
}
.entry:last-child:before {
  width: 10px;
  height: 50%;
  border-radius: 0 0 10px 0;
}
.entry:last-child:after {
  height: 10px;
  border-top: none;
  border-bottom: 2px solid #333;
  border-radius: 0 0 10px 0;
  margin-top: -9px;
}
.entry.sole:before {
  display: none;
}
.entry.sole:after {
  width: 50px;
  height: 0;
  margin-top: 1px;
  border-radius: 0;
}

.label {
  display: block;
  min-width: 150px;
  padding: 5px 10px;
  line-height: 20px;
  text-align: center;
  border: 2px solid #333;
  border-radius: 5px;
  position: absolute;
  right: 0;
  top: 50%;
  margin-top: -15px;
}
</style>

<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Manage ECI Data (Total: {{$total}})</h3>
            </div>
            <div class="col-auto">
                <a href="{{ asset('/eci_data.csv') }}" target="_blank" class="btn btn-info">Sample ECI Data</a>
                <a href="{{ asset('/Location_data.pdf') }}" target="_blank" class="btn btn-info">Sample Location</a>
                <a href="{{ asset('/ward_no.pdf') }}" target="_blank" class="btn btn-info">Sample Ward No.</a>
                <a href="{{ asset('/polling_station.pdf') }}" target="_blank" class="btn btn-info">Sample Polling Station</a>
                <a href="{{ asset('/booth_number.pdf') }}" target="_blank" class="btn btn-info">Sample Booth No.</a>
                <a href="{{ asset('/colony.pdf') }}" target="_blank" class="btn btn-info">Sample Colony</a>
            </div>
        </div>
         
        
        <div class="row">
            
            <div class="col-12 col-md-12">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('error'))
                            <div class="alert alert-danger p-3" role="alert">
                                {{ session('error') }}
                            </div>
                        @endif

                        
                        <form action="{{ route('user.ecidata.index', request()->all()) }}" method="get">
                        
                        @csrf
                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">User</label>
                                    <select class="form-control" name="id">
                                      <option value=""> Select </option>
                                      <?php foreach($eciUser as $eciUserRow){ ?>
                                      <option value="{{$eciUserRow->id}}" <?php if(request('id') == $eciUserRow->id) { echo "selected"; } ?> > {{$eciUserRow->name}} </option>
                                      <?php } ?>
                                    </select>
                                    
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Keyword</label>
                                    <input type="text" class="form-control" name="keyword" value="{{ request('keyword') }}"  />
                                </div>
                            </div>

                            
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Votar id no</label>
                                    <input type="text" class="form-control" name="votar_id_no" value="{{ request('votar_id_no') }}" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Polling station</label>
                                    <input type="text" class="form-control" name="polling_station" value="{{ request('polling_station') }}" />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Ward no</label>
                                    <input type="text" class="form-control" name="ward_no" value="{{ request('ward_no') }}" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Colony</label>
                                    <input type="text" class="form-control" name="colony" value="{{ request('colony') }}"  />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Booth no</label>
                                    <input type="text" class="form-control" name="booth" value="{{ request('booth') }}"  />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">City</label>
                                    <input type="text" class="form-control" name="city" value="{{ request('city') }}" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">State</label>
                                    <input type="text" class="form-control" name="state" value="{{ request('state') }}" />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Postal code</label>
                                    <input type="text" class="form-control" name="postal_code" value="{{ request('postal_code') }}"/>
                                </div>
                            </div>
                           
                            

                            <div class="col-md-3">
                                <div class="mt-2">  
                                    <button type="submit" class="btn btn-primary w-100">Filter</button>
                                    
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="mt-2">  
                                    <button type="button" class="btn btn-primary w-100" data-toggle="modal" data-target="#import">Import ECI Data</button>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="mt-2">  
                                    <a href="{{ route('user.ecidata.export') }}" class="btn btn-success w-100">Export</a>
                                </div>
                            </div>



                            <div class="col-md-2">
                                <div class="mt-2">  
                                    
                                    <button type="button" id="deleteSelected" class="btn btn-danger w-100">Delete Selected</button>

                                </div>
                            </div>
                            
                            <div class="col-md-2">
                                <div class="mt-2">  
                                    <a href="{{ route('user.ecidata.truncate') }}" class="btn btn-danger w-100">Truncate</a>

                                </div>
                            </div>
                            
                        </div>
                       
                        </form>

                        <hr/>
                        <table class="table table-hover my-0">
    <thead>
        <tr>
            <th><input type="checkbox" id="checkAll"></th> {{-- Add Select All Checkbox --}}
            <th>Voter Name</th>
            <th>Relative Name</th>
            <th>Voter Id Card</th>
            <th>Mobile</th>
            <th>Booth</th>
            <th>SL no</th>
            <th>Polling Station</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        @forelse($ecidatas as $page)
            <tr>
                <td><input type="checkbox" class="checkItem" value="{{ $page->id }}"></td> {{-- Add Checkbox per row --}}
                <td>{{ $page->votar_name }}</td>
                <td>{{ $page->relative_name }}</td>
                <td>{{ $page->votar_id_no }}</td>
                <td>{{ $page->mobile }}</td>
                <td>{{ $page->booth_number ? $page->booth_number->name : "" }}</td>
                <td>{{ $page->sl_no }}</td>
                <td>{{ $page->polling_station ? $page->polling_station->name : "" }}</td>
                <td>
                    
                    <a href="#" data-toggle="modal" data-target="#relationship" class="btn btn-primary" onClick="setData('{{ $page->id }}','{{ $page->edi_users_id }}', '{{ @$tmp->relation_name }}');">Set Relation</a>
                    <a href="{{ route('user.ecidata.edit', ['id' => $page->id]) }}" class="btn btn-primary">Edit</a>
                    <form id="deleteForm{{ $page->id }}" action="{{ route('user.ecidata.destroy', $page->id) }}" method="post" style="display: inline;">
                        @csrf
                        @method('DELETE')
                        <button type="button" class="btn btn-danger" onclick="confirmDelete('{{ $page->id }}')">Delete</button>
                    </form>
                </td>
            </tr>
        @empty
            <tr>
                <td colspan="5">No user found</td>
            </tr>
        @endforelse
    </tbody>
</table>

{{-- Add delete selected button --}}
 

                        <div class="pagination-container text-center">
                        {{ $ecidatas->appends(request()->except('page'))->links() }}
                        </div>
                        

                    </div>
                </div>
            </div>
            
        </div>
         
    </div>
</main>

<!-- Modal -->
<div class="modal fade" id="relationship" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Relatioship title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         
                        <form method="post" action="{{ route('user.ecidata.relationship') }}"  >
                        @csrf
                        @method('PUT') {{-- Use the PUT method for updating --}}
                                
                                <input type="hidden" id="id" name="id" />
                                <input type="hidden" id="edi_users_id" name="edi_users_id" />
                                
                                <div class="form-group mt-2">
                                    <label for="votar_card">{{ __('Votal card') }}</label>
                                    <input type="name" class="form-control @error('votar_card') is-invalid @enderror" name="votar_card" value="{{ old('votar_card') }}" required>
                                    @error('name')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mt-2">
                                    <label for="name">{{ __('Name') }}</label>
                                    <input type="name" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name') }}" required>
                                    @error('name')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                            <button type="submit" class="btn btn-primary w-100 mt-2">Update </button>
                        </form>

      </div>
       
    </div>
  </div>
</div>

<div class="modal fade" id="import" tabindex="-1" role="dialog"   aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Import Excel</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        
        <form  method="POST" enctype="multipart/form-data" action="{{ route('user.ecidata.import') }}"  >
            @csrf
            <input type="hidden" name="edi_data_id" value="<?php echo @$_GET['id']; ?>" />
            <input type="file" name="file" required class="form-control">
            <br/>
            <button type="submit" class="btn btn-primary">Import Excel</button>
        </form>

      </div>
      
    </div>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="tree" tabindex="-1" role="dialog"   aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         
         
       <div id="wrapper">
          <span class="label">Root</span>
          <div class="branch lv1" id="familyTree">
            <!-- The family tree will be appended here dynamically -->
          </div>
        </div>
         
         
         
      </div>
      
    </div>
  </div>
</div>

@endsection


@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>

function setData(id,edi_users_id,name){
    $("#id").val(id);
    $("#edi_users_id").val(edi_users_id);
    $("#name").val(name);
}

function confirmDelete(languageId) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You won\'t be able to revert this!',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                submitForm('deleteForm' + languageId);
            }
        });
    }

    function submitForm(formId) {
        var form = document.getElementById(formId);
        form.submit();
    }
    
</script>
<script>
function confirmDelete(id) {
    Swal.fire({
        title: 'Are you sure?',
        text: 'You won\'t be able to revert this!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes, delete it!'
    }).then((result) => {
        if (result.isConfirmed) {
            submitForm('deleteForm' + id);
        }
    });
}

function submitForm(formId) {
    var form = document.getElementById(formId);
    form.submit();
}

// Select/Unselect All functionality
document.getElementById('checkAll').addEventListener('click', function() {
    const checkboxes = document.querySelectorAll('.checkItem');
    checkboxes.forEach((checkbox) => {
        checkbox.checked = this.checked;
    });
});

// Handle individual checkbox toggle for "Check All"
document.querySelectorAll('.checkItem').forEach((checkbox) => {
    checkbox.addEventListener('change', function() {
        if (!this.checked) {
            document.getElementById('checkAll').checked = false;
        } else if (document.querySelectorAll('.checkItem:checked').length === document.querySelectorAll('.checkItem').length) {
            document.getElementById('checkAll').checked = true;
        }
    });
});

// Handle delete selected
document.getElementById('deleteSelected').addEventListener('click', function() {
    const selectedIds = Array.from(document.querySelectorAll('.checkItem:checked')).map(checkbox => checkbox.value);

    if (selectedIds.length === 0) {
        Swal.fire({
            icon: 'error',
            title: 'No items selected',
            text: 'Please select items to delete.',
        });
        return;
    }

    Swal.fire({
        title: 'Are you sure?',
        text: 'You won\'t be able to revert this!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes, delete them!'
    }).then((result) => {
        if (result.isConfirmed) {
            deleteSelectedECIData(selectedIds);
        }
    });
});

function deleteSelectedECIData(ids) {
    const form = document.createElement('form');
    form.method = 'POST';
    form.action = "{{ route('user.ecidata.bulkDelete') }}"; // Ensure this route exists for bulk deletion
    
    const csrfInput = document.createElement('input');
    csrfInput.type = 'hidden';
    csrfInput.name = '_token';
    csrfInput.value = "{{ csrf_token() }}";
    form.appendChild(csrfInput);

    ids.forEach(id => {
        const input = document.createElement('input');
        input.type = 'hidden';
        input.name = 'ids[]';
        input.value = id;
        form.appendChild(input);
    });

    document.body.appendChild(form);
    form.submit();
}

async function fetchFamilyTree(edi_users_id) {
  try {
    const response = await fetch(`http://karthaat.com/our_election/api/tree?edi_users_id=${edi_users_id}`);
    const data = await response.json();
    
    if (data.status === "success") {
      const treeContainer = document.getElementById('familyTree');
      treeContainer.innerHTML = '';  // Clear any existing tree

      // Extract the main user entry
      const mainEntry = data.result.data;
      const mainRelation = data.result.relation;

      // Create a main entry for the user
      const mainEntryDiv = document.createElement('div');
      mainEntryDiv.classList.add('entry');
      
      // Add the label for the main entry (name - relation)
      const mainLabel = document.createElement('span');
      mainLabel.classList.add('label');
      mainLabel.textContent = `${mainEntry.votar_name} - ${mainRelation.relation_name}`;
      
      mainEntryDiv.appendChild(mainLabel);
      
      // Append any descendants recursively
      if (data.result.descendants) {
        const descendantsDiv = createDescendants(data.result.descendants);
        mainEntryDiv.appendChild(descendantsDiv);
      }

      // Append the main entry to the tree container
      treeContainer.appendChild(mainEntryDiv);
    }
  } catch (error) {
    console.error('Error fetching family tree:', error);
  }
}

function createDescendants(descendants) {
  const branchDiv = document.createElement('div');
  branchDiv.classList.add('branch', 'lv2');

  // Assuming descendants is now a single object (or an array of objects if multiple)
  if (Array.isArray(descendants)) {
    descendants.forEach(descendant => {
      const entryDiv = document.createElement('div');
      entryDiv.classList.add('entry');
      
      // Add the label for the descendant (name - relation)
      const label = document.createElement('span');
      label.classList.add('label');
      label.textContent = `${descendant.data.votar_name} - ${descendant.relation.relation_name}`;
      
      entryDiv.appendChild(label);

      // Check for further descendants recursively
      if (descendant.descendants && descendant.descendants.length > 0) {
        const descendantsDiv = createDescendants(descendant.descendants);
        entryDiv.appendChild(descendantsDiv);
      }

      branchDiv.appendChild(entryDiv);
    });
  } else {
    // If descendants is a single object, handle it accordingly
    const entryDiv = document.createElement('div');
    entryDiv.classList.add('entry');
    
    // Add the label for the single descendant (name - relation)
    const label = document.createElement('span');
    label.classList.add('label');
    label.textContent = `${descendants.data.votar_name} - ${descendants.relation.relation_name}`;
    
    entryDiv.appendChild(label);

    // Check for further descendants recursively
    if (descendants.descendants && descendants.descendants.length > 0) {
      const descendantsDiv = createDescendants(descendants.descendants);
      entryDiv.appendChild(descendantsDiv);
    }

    branchDiv.appendChild(entryDiv);
  }

  return branchDiv;
}

</script>

@endsection

