@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Add disease</h3>
            </div>
        </div>
         
        
        <div class="row">
            <div class="col-3 col-md-1"></div>
            <div class="col-6 col-md-10">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">
                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('errors'))
                            <div class="alert alert-warning p-3" role="alert">
                                {{ session('errors') }}
                            </div>
                        @endif

                        <form method="post" action="{{ route('user.eciuser.store') }}"  >
                            @csrf

                                <div class="form-group mt-2">
                                    <label for="name">{{ __('Name') }}</label>
                                    <input type="name" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name') }}" required>
                                    @error('name')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mt-2">
                                    <label for="email">{{ __('Email') }}</label>
                                    <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" name="email" value="{{ old('email') }}" required>
                                    @error('email')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="form-group mt-2">
                                    <label for="password">{{ __('Password') }}</label>
                                    <input type="password" class="form-control @error('password') is-invalid @enderror" id="password" name="password" value="{{ old('password') }}" required>
                                    @error('password')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                                                        

                                <br/>
                                 <br/>

                            <button type="submit" class="btn btn-primary w-100 mt-2">Add </button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-3 col-md-1"></div>
        </div>
         
    </div>
</main>
@endsection

 
@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
 
</script>

 

@endsection

