@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Manage eci user

                @php
                $familyCount = \App\Models\EciData::getTotalChildrenCountAll();
                @endphp
                

                @php
                $userSourceCount = \App\Models\EciData::userCountAll();
                @endphp
                                            

                (Total: {{$userSourceCount}}, Total Family: {{$familyCount}})
                </h3>
            </div>
        </div>
         
        
        <div class="row">
            
            <div class="col-12 col-md-12 col-xxl-6 d-flex order-3 order-xxl-2">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        <form action="{{ route('user.eciuser.index', request()->all()) }}" method="get">
                        @csrf
                        <div class="row">
                            
                            <div class="col-md-4">
                                <div class="form-group mt-2">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" name="name" value="{{ request('name') }}" />
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group mt-2">
                                    <label for="email">Username</label>
                                    <input type="text" class="form-control" name="email" value="{{ request('email') }}" />
                                </div>
                            </div>
                             
                            <div class="col-md-2">
                                <div class="form-group mt-2"> <br/>
                                <button type="submit" class="btn btn-primary w-100">Filter</button>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <div class="mt-2">   <br/>
                                    <a href="{{ route('user.eciuser.export_eciuser') }}" class="btn btn-success w-100">Export</a>
                                </div>
                            </div>
                            
                        </div>
                       
                        </form>

                        <hr/>

                        <table class="table table-hover my-0">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Password</th>
                                    <th>Total</th>
                                    <th>Family</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($eciusers as $page)
                                    <tr>
                                        <td>{{ $page->name }}</td>
                                        <td>{{ $page->email }}</td>
                                        <td>{{ $page->password }}</td>
                                        <td>
                                            @php
                                            $userSourceCount = \App\Models\EciData::userCount($page->id );
                                            @endphp
                                            {{$userSourceCount}}
                                        </td>
                                        <td>
                                            @php
                                            $familyCount = \App\Models\EciData::getTotalChildrenCount($page->id );
                                            @endphp
                                            {{$familyCount}}
                                        </td>
                                        <td>
                                            <a href="{{ route('user.eciuser.forceLogout', ['email' => $page->email]) }}" class="btn btn-primary">Logout</a>
                                            <a href="{{ route('user.ecidata.create', ['id' => $page->id]) }}" class="btn btn-primary">Add ECI Data</a>
                                            <a href="{{ route('user.ecidata.index', ['id' => $page->id]) }}" class="btn btn-primary">My ECI Data</a>
                                            <a href="{{ route('user.eciuser.family', ['edi_users_id' => $page->id]) }}" class="btn btn-primary">Family Data</a>
                                            <a href="{{ route('user.eciuser.edit', ['id' => $page->id]) }}" class="btn btn-primary">Edit</a>
                                            <form id="deleteForm{{ $page->id }}" action="{{ route('user.eciuser.destroy', $page->id) }}" method="post" style="display: inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-danger" onclick="confirmDelete('{{ $page->id }}')">Delete</button>
                                        </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="4">No user found</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>

                        <div class="pagination-container text-center">
                        {{ $eciusers->appends(request()->except('page'))->links() }}
                        </div>
                        

                    </div>
                </div>
            </div>
            
        </div>
         
    </div>
</main>
@endsection


@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
function confirmDelete(languageId) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You won\'t be able to revert this!',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                submitForm('deleteForm' + languageId);
            }
        });
    }

    function submitForm(formId) {
        var form = document.getElementById(formId);
        form.submit();
    }
</script>

@endsection

