@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Edit page</h3>
            </div>
        </div>
         
        
        <div class="row">
            <div class="  col-md-1"></div>
            <div class="  col-md-10">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">
                    @if(session('success'))
                            <div class="alert alert-success" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('error'))
                            <div class="alert alert-danger" role="alert">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <div>{{$error}}</div>
                                @endforeach
                            @endif
                            </div>
                        @endif

                        <form method="post" action="{{ route('user.page.update', $page->id) }}"  >
                            @csrf
                            @method('PUT') {{-- Use the PUT method for updating --}}

 
                                <div class="form-group mt-2">
                                    <label for="title">{{ __('Title') }}</label>
                                    <input type="text" class="form-control @error('title') is-invalid @enderror" id="title" name="title" value="{{ old('title', @$page->title) }}" required>
                                    @error('title')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                              
                                <div class="form-group mt-2">
                                    <label for="descriptions">{{ __('Descriptions') }}</label>
                                    <textarea type="text" class="descriptions form-control @error('descriptions') is-invalid @enderror" id="descriptions" name="descriptions">{{ old('descriptions', @$page->descriptions) }}</textarea>
                                    @error('descriptions')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                

                                <br/>
                                <hr/>
                                <br/>

 
                           
                            <button type="submit" class="btn btn-primary w-100 mt-2">Update </button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="  col-md-1"></div>
        </div>
         
    </div>
</main>
@endsection


@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>

ClassicEditor
.create( document.querySelector( '.descriptions' ) )
.then( editor => {
    editor.editing.view.change( writer => {
        writer.setStyle( 'height', '200px', editor.editing.view.document.getRoot() );
    } );
} )
.catch( error => {
        console.error( error );
} );

</script>

@endsection

