@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Manage page</h3>
            </div>
        </div>
         
        
        <div class="row">
            
            <div class="col-12 col-md-12">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        <table class="table table-hover my-0">
                            <thead>
                                <tr>
                                    <th>Page</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($pages as $page)
                                    <tr>
                                       
                                        <td>{{ $page->title }}</td>
                                        <td>
                                            <a href="{{ route('user.page.edit', ['id' => $page->id]) }}" class="btn btn-primary">Edit</a>
                                            
                                            <form id="deleteForm{{ $page->id }}" action="{{ route('user.page.destroy', $page->id) }}" method="post" style="display: inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-danger" onclick="confirmDelete('{{ $page->id }}')">Delete</button>
                                        </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="4">No page found</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>

                        <div class="pagination-container text-center">
                            {{ $pages->links() }}
                        </div>
                        

                    </div>
                </div>
            </div>
            
        </div>
         
    </div>
</main>
@endsection


@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
function confirmDelete(languageId) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You won\'t be able to revert this!',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                submitForm('deleteForm' + languageId);
            }
        });
    }

    function submitForm(formId) {
        var form = document.getElementById(formId);
        form.submit();
    }
</script>

@endsection

