@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Add polling number</h3>
            </div>
        </div>
         
        
        <div class="row">
            <div class="col-3 col-md-1"></div>
            <div class="col-6 col-md-10">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">
                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('errors'))
                            <div class="alert alert-warning p-3" role="alert">
                                {{ session('errors') }}
                            </div>
                        @endif

                        <form method="post" action="{{ route('user.polling.store') }}"  >
                            @csrf

                                <div class="form-group mt-2">
                                    <label for="name">{{ __('Name') }}</label>
                                    <input type="text" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name') }}" required>
                                    @error('name')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                

                                <br/>
                                <hr/>
                                <br/>

                            <button type="submit" class="btn btn-primary w-100 mt-2">Add </button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-3 col-md-1"></div>
        </div>
         
    </div>
</main>
@endsection

 
@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>

function getState(id){
    $.ajax({
        url: "{{ route('user.state')}}?country="+id, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#state');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}

function getCity(id){
    $.ajax({
        url: "{{ route('user.city')}}?state="+id, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#city');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.name));
            });
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}

function getPincode(id){
    $.ajax({
        url: "{{ route('user.pincode')}}?city="+id, // Replace with your endpoint URL
        type: 'GET',
        dataType: 'json',
        success: function(data) {
            var dropdown = $('#pincode');
            dropdown.empty(); // Clear any existing options
            dropdown.append('<option value="">Select an option</option>'); // Default option
            
            // Loop through the data and append to the dropdown
            $.each(data.result, function(key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.name).text(entry.name));
            });
        },
        error: function(error) {
            console.error("There was an error with the AJAX request:", error);
        }
    });
}

ClassicEditor
.create( document.querySelector( '.descriptions' ) )
.then( editor => {
    editor.editing.view.change( writer => {
        writer.setStyle( 'height', '200px', editor.editing.view.document.getRoot() );
    } );
} )
.catch( error => {
        console.error( error );
} );
</script>

 

@endsection

