<?php
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\All\LanguageController;
use App\Http\Controllers\All\McqCategoryController;
use App\Http\Controllers\All\McqController;
use App\Http\Controllers\All\GalleryController;
use App\Http\Controllers\All\VideoController;
use App\Http\Controllers\All\DiseaseController;
use App\Http\Controllers\All\VarietyController;
use App\Http\Controllers\All\PageController;
use App\Http\Controllers\All\TeamController;
use App\Http\Controllers\All\ApiController;

Route::get('/country', [ApiController::class, 'country'])->name('country');
Route::get('/state', [ApiController::class, 'state'])->name('state');
Route::get('/city', [ApiController::class, 'city'])->name('city');
Route::get('/pincode', [ApiController::class, 'pincode'])->name('pincode');
Route::get('/cms', [ApiController::class, 'cms'])->name('cms');
Route::get('/page', [ApiController::class, 'page'])->name('page');
Route::get('/my-ecidata', [ApiController::class, 'myecidata'])->name('myecidata');
Route::post('/add-ecidata', [ApiController::class, 'addecidata'])->name('addecidata');
Route::post('/update-ecidata', [ApiController::class, 'updateecidata'])->name('updateecidata');
Route::post('/delete-ecidata', [ApiController::class, 'deleteecidata'])->name('deleteecidata');
Route::post('/login', [ApiController::class, 'login'])->name('login');
Route::post('/upload-front', [ApiController::class, 'uploadFront'])->name('uploadFront');
Route::post('/upload-back', [ApiController::class, 'uploadBack'])->name('uploadBack');
Route::get('/ecidata-global-search', [ApiController::class, 'myecidata_global_search'])->name('myecidata_global_search');
Route::post('/set-relation', [ApiController::class, 'setRelation'])->name('setRelation');
Route::post('/delete-relation', [ApiController::class, 'deleteRelation'])->name('deleteRelation');
Route::post('/update-relation', [ApiController::class, 'updateRelation'])->name('updateRelation');
Route::post('/import', [ApiController::class, 'import'])->name('import');
Route::get('/tree', [ApiController::class, 'tree'])->name('tree');
Route::get('/other', [ApiController::class, 'other'])->name('other');
Route::get('/other-city', [ApiController::class, 'otherCity'])->name('otherCity');
Route::get('/other-state', [ApiController::class, 'otherState'])->name('otherState');
Route::get('/other-country', [ApiController::class, 'otherCountry'])->name('otherCountry');
Route::get('/other-colony', [ApiController::class, 'otherColony'])->name('otherColony');
Route::get('/other-polling', [ApiController::class, 'otherPolling'])->name('otherPolling');
Route::get('/other-booth', [ApiController::class, 'otherBooth'])->name('otherBooth');
Route::get('/other-word', [ApiController::class, 'otherWord'])->name('otherWord');
Route::get('/other-pincode', [ApiController::class, 'otherPincode'])->name('otherPincode');
Route::post('/mark-my-data', [ApiController::class, 'markMyData'])->name('markMyData');
Route::get('/your-family-data', [ApiController::class, 'yourdata'])->name('yourdata');
Route::get('/single-eci-data', [ApiController::class, 'single'])->name('single');
Route::post('/update-ecidata-mobile', [ApiController::class, 'updateecidatamobile'])->name('updateecidatamobile');
Route::get('/eci-data-sql', [ApiController::class, 'eciDataSql'])->name('eciDataSql');
Route::get('/eci-data-csv', [ApiController::class, 'eciDataCsv'])->name('eciDataCsv');
Route::get('/relation-csv', [ApiController::class, 'relationDataCsv'])->name('relationDataCsv');