<?php $__env->startSection('content'); ?>
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Manage eci user

                <?php
                $familyCount = \App\Models\EciData::getTotalChildrenCountAll();
                ?>
                

                <?php
                $userSourceCount = \App\Models\EciData::userCountAll();
                ?>
                                            

                (Total: <?php echo e($userSourceCount); ?>, Total Family: <?php echo e($familyCount); ?>)
                </h3>
            </div>
        </div>
         
        
        <div class="row">
            
            <div class="col-12 col-md-12 col-xxl-6 d-flex order-3 order-xxl-2">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        <?php if(session('success')): ?>
                            <div class="alert alert-success p-3" role="alert">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>

                        <form action="<?php echo e(route('user.eciuser.index', request()->all())); ?>" method="get">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            
                            <div class="col-md-4">
                                <div class="form-group mt-2">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" name="name" value="<?php echo e(request('name')); ?>" />
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group mt-2">
                                    <label for="email">Username</label>
                                    <input type="text" class="form-control" name="email" value="<?php echo e(request('email')); ?>" />
                                </div>
                            </div>
                             
                            <div class="col-md-2">
                                <div class="form-group mt-2"> <br/>
                                <button type="submit" class="btn btn-primary w-100">Filter</button>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <div class="mt-2">   <br/>
                                    <a href="<?php echo e(route('user.eciuser.export_eciuser')); ?>" class="btn btn-success w-100">Export</a>
                                </div>
                            </div>
                            
                        </div>
                       
                        </form>

                        <hr/>

                        <table class="table table-hover my-0">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Password</th>
                                    <th>Total</th>
                                    <th>Family</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $eciusers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($page->name); ?></td>
                                        <td><?php echo e($page->email); ?></td>
                                        <td><?php echo e($page->password); ?></td>
                                        <td>
                                            <?php
                                            $userSourceCount = \App\Models\EciData::userCount($page->id );
                                            ?>
                                            <?php echo e($userSourceCount); ?>

                                        </td>
                                        <td>
                                            <?php
                                            $familyCount = \App\Models\EciData::getTotalChildrenCount($page->id );
                                            ?>
                                            <?php echo e($familyCount); ?>

                                        </td>
                                        <td>
                                            <a href="<?php echo e(route('user.eciuser.forceLogout', ['email' => $page->email])); ?>" class="btn btn-primary">Logout</a>
                                            <a href="<?php echo e(route('user.ecidata.create', ['id' => $page->id])); ?>" class="btn btn-primary">Add ECI Data</a>
                                            <a href="<?php echo e(route('user.ecidata.index', ['id' => $page->id])); ?>" class="btn btn-primary">My ECI Data</a>
                                            <a href="<?php echo e(route('user.eciuser.family', ['edi_users_id' => $page->id])); ?>" class="btn btn-primary">Family Data</a>
                                            <a href="<?php echo e(route('user.eciuser.edit', ['id' => $page->id])); ?>" class="btn btn-primary">Edit</a>
                                            <form id="deleteForm<?php echo e($page->id); ?>" action="<?php echo e(route('user.eciuser.destroy', $page->id)); ?>" method="post" style="display: inline;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="button" class="btn btn-danger" onclick="confirmDelete('<?php echo e($page->id); ?>')">Delete</button>
                                        </form>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td colspan="4">No user found</td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination-container text-center">
                        <?php echo e($eciusers->appends(request()->except('page'))->links()); ?>

                        </div>
                        

                    </div>
                </div>
            </div>
            
        </div>
         
    </div>
</main>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>


<script>
function confirmDelete(languageId) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You won\'t be able to revert this!',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                submitForm('deleteForm' + languageId);
            }
        });
    }

    function submitForm(formId) {
        var form = document.getElementById(formId);
        form.submit();
    }
</script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.user.userdashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/girmfpqs/karthaat.com/our_election/resources/views/user/eciuser/index.blade.php ENDPATH**/ ?>