<?php $__env->startSection('content'); ?>
<?php 
use App\Models\EciUser;
?>

<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Manage ECI Data (Total: <?php echo e($distinctTotal); ?>, Family Count: <?php echo e($totalChildrenCount); ?>  )</h3>
            </div>
            
        </div>
         
        
        <div class="row">
            
            <div class="col-12 col-md-12">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        <?php if(session('success')): ?>
                            <div class="alert alert-success p-3" role="alert">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>

                        <?php if(session('error')): ?>
                            <div class="alert alert-danger p-3" role="alert">
                                <?php echo e(session('error')); ?>

                            </div>
                        <?php endif; ?>

                        
                        <form action="<?php echo e(route('user.eciuser.family', request()->all())); ?>" method="get">
                        <?php echo csrf_field(); ?>

                        
                        <input type="hidden" class="form-control" name="edi_users_id" value="<?php echo $_GET['edi_users_id']; ?>"  />
                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="votar_id_no">Keyword</label>
                                    <input type="text" class="form-control" name="keyword" value="<?php echo e(request('keyword')); ?>"  />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Votar id no</label>
                                    <input type="text" class="form-control" name="votar_id_no" value="<?php echo e(request('votar_id_no')); ?>" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Polling station</label>
                                    <input type="text" class="form-control" name="polling_station" value="<?php echo e(request('polling_station')); ?>" />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Ward no</label>
                                    <input type="text" class="form-control" name="ward_no" value="<?php echo e(request('ward_no')); ?>" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Colony</label>
                                    <input type="text" class="form-control" name="colony" value="<?php echo e(request('colony')); ?>"  />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Booth no</label>
                                    <input type="text" class="form-control" name="booth" value="<?php echo e(request('booth')); ?>"  />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">City</label>
                                    <input type="text" class="form-control" name="city" value="<?php echo e(request('city')); ?>" />
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">State</label>
                                    <input type="text" class="form-control" name="state" value="<?php echo e(request('state')); ?>" />
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group mt-2">
                                    <label for="votar_id_no">Postal code</label>
                                    <input type="text" class="form-control" name="postal_code" value="<?php echo e(request('postal_code')); ?>"/>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div>
                                    <br/>
                                    <button type="submit" class="btn btn-primary w-100">Filter</button>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <br/>
                                <a href="<?php echo e(route('user.ecidata.export_family')); ?>?edi_users_id=<?php echo e($_GET['edi_users_id']); ?>" class="btn btn-success w-100">Export</a>
                            </div>
                            
                        </div>
                       
                        </form>

                        <hr/>
                        <table class="table table-hover my-0">
    <thead>
        <tr>
           
            <th>Votal Name</th>
            <th>Relative Name</th>
            <th>Votar Card</th>
            <th>Mobile</th>
            <th>Booth</th>
            <th>SL no</th>
            <th>Polling Station</th>
            <th>Family Count</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        <?php $__empty_1 = true; $__currentLoopData = $ecidatas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
         
            <tr>

                <?php
                    $eci_data = \App\Models\EciData::where('id', $page->source)->first();
                ?>
 
                <td><?php echo e($eci_data->votar_name); ?></td>
                <td><?php echo e($eci_data->relative_name); ?></td>
                <td><?php echo e($eci_data->votar_id_no); ?></td>
                <td><?php echo e($eci_data->mobile); ?></td>
                <td><?php echo e($eci_data->booth_number ? $eci_data->booth_number->name : ""); ?></td>
                <td><?php echo e($eci_data->sl_no); ?></td>
                <td><?php echo e($eci_data->polling_station ? $eci_data->polling_station->name : ""); ?></td>
                <td> <?php echo e(count($eci_data->getFamilyTree($eci_data->id, $_GET['edi_users_id']))); ?></td>
                <td>
                    <a href="#" data-toggle="modal" data-target="#tree" class="btn btn-primary" onClick="fetchFamilyTree(<?php echo e(@$eci_data->id); ?>, '<?php echo e(json_encode($eci_data)); ?>');">Tree</a>
                </td>
            </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
            <tr>
                <td colspan="5">No user found</td>
            </tr>
        <?php endif; ?>
    </tbody>
</table>


 

                        <div class="pagination-container text-center">
                        <?php echo e($ecidatas->appends(request()->except('page'))->links()); ?>

                        </div>
                        

                    </div>
                </div>
            </div>
            
        </div>
         
    </div>
</main>

<!-- Modal -->
<div class="modal fade" id="tree" tabindex="-1" role="dialog"   aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Family Tree</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         
         
       <div id="wrapper">

            <div class="branch lv1">
                <h4>Votar details:</h4>
                <div><strong>Name:</strong><span id="votarName"></span></div>
                <div><strong>Votar ID:</strong> <span id="votarId"></span></div>
                <div><strong>Sl no:</strong><span id="slNo"></span></div>
                <div><strong>Part no:</strong><span id="partNo"></span> </div>
                <div><strong>Ward no:</strong> <span id="wardNo"></span></div>
                <div><strong>Booth no:</strong> <span id="boothNo"></span></div>
                <div><strong>Pooling Station:</strong> <span id="poolingStation"></span></div>
                <div><strong>Age:</strong> <span id="age"></span></div>
                <div><strong>Gender:</strong> <span id="gender"></span></div>
                <div><strong>Relative name:</strong> <span id="relativeName"></span></div>
                <div><strong>Mobile no:</strong><span id="mobile"></span> </div>
            </div>
             <br/> 
            <h4>Family details:</h4>
            <div class="branch lv1 row" id="familyTreee">
                
            </div>

        </div>
         
         
         
      </div>
      
    </div>
  </div>
</div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>


<script>

function setData(id,edi_users_id,name){
    $("#id").val(id);
    $("#edi_users_id").val(edi_users_id);
    $("#name").val(name);
}

function confirmDelete(languageId) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You won\'t be able to revert this!',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                submitForm('deleteForm' + languageId);
            }
        });
    }

    function submitForm(formId) {
        var form = document.getElementById(formId);
        form.submit();
    }
    
</script>
<script>
function confirmDelete(id) {
    Swal.fire({
        title: 'Are you sure?',
        text: 'You won\'t be able to revert this!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes, delete it!'
    }).then((result) => {
        if (result.isConfirmed) {
            submitForm('deleteForm' + id);
        }
    });
}

function submitForm(formId) {
    var form = document.getElementById(formId);
    form.submit();
}
function deleteSelectedECIData(ids) {
    const form = document.createElement('form');
    form.method = 'POST';
    form.action = "<?php echo e(route('user.ecidata.bulkDelete')); ?>"; // Ensure this route exists for bulk deletion
    
    const csrfInput = document.createElement('input');
    csrfInput.type = 'hidden';
    csrfInput.name = '_token';
    csrfInput.value = "<?php echo e(csrf_token()); ?>";
    form.appendChild(csrfInput);

    ids.forEach(id => {
        const input = document.createElement('input');
        input.type = 'hidden';
        input.name = 'ids[]';
        input.value = id;
        form.appendChild(input);
    });

    document.body.appendChild(form);
    form.submit();
}

async function fetchFamilyTree(edi_users_id, jsonData) {
  try {
    
    var userData = JSON.parse(jsonData);
    console.log(userData);

    $("#votarName").html(userData.votar_name);
    $("#votarId").html(userData.votar_id_no);
    $("#slNo").html(userData.sl_no);
    $("#partNo").html(userData.part_no);
    $("#wardNo").html(userData.ward_no);
    $("#boothNo").html(userData.booth_number.name);
    $("#poolingStation").html(userData.polling_station.name);
    $("#age").html(userData.age);
    $("#gender").html(userData.sex);
    $("#relativeName").html(userData.relative_name);
    $("#mobile").html(userData.mobile);

    const treeContainer2 = document.getElementById('familyTreee');
    treeContainer2.innerHTML = '';  // Clear any existing tree

    const response = await fetch(`https://karthaat.com/our_election/api/tree?edi_users_id=<?php echo $_GET['edi_users_id']; ?>&source=${edi_users_id}`);
    const data = await response.json();
    
    if (data.status === "success") {
      const treeContainer = document.getElementById('familyTreee');
      treeContainer.innerHTML = '';  // Clear any existing tree

      // Extract the main user entry
      const result = data.result;
        
        result.forEach((entry) => {
          
          const memberDiv = document.createElement('div');
          memberDiv.classList.add('col-md-6');
          memberDiv.classList.add('border');

          // Populate inner HTML with the desired structure
          memberDiv.innerHTML = `
              
                <div class="m-2"><div><strong>Relation:</strong> ${entry.data.votar_name} ( ${ entry.relation_name != null ? entry.relation_name : ""} of ${userData.votar_name} )</div>
                <div><strong>Votar ID:</strong> ${entry.data.votar_id_no}</div>
                <div><strong>Sl no:</strong> ${entry.data.sl_no}</div>
                <div><strong>Part no:</strong> ${entry.data.part_no}</div>
                <div><strong>Ward no:</strong> ${entry.data.ward_no}</div>
                <div><strong>Booth no:</strong> ${entry.data.booth_number.name}</div>
                <div><strong>Pooling station:</strong> ${entry.data.polling_station.name}</div>
                <div><strong>Age:</strong> ${entry.data.age}</div>
                <div><strong>Gender:</strong> ${entry.data.sex}</div>
                <div><strong>Relative name:</strong> ${entry.data.relative_name}</div>
                <div><strong>Mobile no:</strong> ${entry.data.mobile}</div></div>
              
          `;

          // Append the member div to the tree container
          treeContainer.appendChild(memberDiv);
      });
    }
  } catch (error) {
    console.error('Error fetching family tree:', error);
  }
}

 
</script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.user.userdashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/girmfpqs/karthaat.com/our_election/resources/views/user/ecidata/family.blade.php ENDPATH**/ ?>