<!DOCTYPE html>
<html lang="en">
<head>
	<?php echo $__env->make('layouts.includes.styles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldContent('styles'); ?>
	<title id="title"><?php echo $__env->yieldContent('title', 'Admin Dashboard'); ?></title>
</head>

<body> 
	<?php echo $__env->make('layouts.admin.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<div class="wrapper">
		<nav id="sidebar" class="sidebar">
			<div class="sidebar-content js-simplebar">
				<a class="sidebar-brand" href="#">
					<img class="img-fluid rounded-circle d-block mx-auto" src="<?php echo e(handleNullImage(auth()->user()->avatar_thumbnail)); ?>"  width="110" alt="avatar.svg" />
        		</a>
				<ul class="sidebar-nav" >
					<p class="text-center mb-0
					">
						<small >Administrator </small>
					</p>
					<li class="sidebar-header text-white">
						Pages
					</li>

					<li class="sidebar-item admin_dashboard">
						 <a class="sidebar-link" href="<?php echo e(route('admin.dashboard.index')); ?>">
              				<i class="align-middle" data-feather="hexagon"></i> <span class="align-middle">Dashboard</span>
           				 </a>
					</li>

					<li class="sidebar-item">
						<a class="sidebar-link" href="<?php echo e(route('profile.index')); ?>">
							 <i class="align-middle" data-feather="user-check"></i> <span class="align-middle">My Profile</span>
						</a>
				   </li>

					<li class="sidebar-item">
						<a href="#to_dropdown" data-bs-toggle="collapse" class="sidebar-link collapsed">
              				<i class="align-middle" data-feather="users"></i> <span class="align-middle">Sample Dropdown</span>
            			</a>
						<ul id="to_dropdown" class="sidebar-dropdown list-unstyled collapse " data-bs-parent="#sidebar">
							<li class="sidebar-item">
								<a class="sidebar-link" href="#">Dropdown1</a>
							</li>
							<li class="sidebar-item">
								<a class="sidebar-link" href="#">Dropdown2</a>
							</li>
							
						</ul>
					</li>

		</nav>

		<div class="main">
			<nav class="navbar navbar-expand navbar-light navbar-bg">
				<a class="sidebar-toggle d-flex">
          			<i class="hamburger align-self-center"></i>
        		</a>

				

				<div class="navbar-collapse collapse">
					<ul class="navbar-nav navbar-align">
						<li class="nav-item dropdown">
							<a class="nav-icon dropdown-toggle d-inline-block d-sm-none" href="#" data-bs-toggle="dropdown">
                				<i class="align-middle" data-feather="settings"></i>
              				</a>

							<a class="nav-link dropdown-toggle d-none d-sm-inline-block" href="#" data-bs-toggle="dropdown">
                				<img src="<?php echo e(handleNullImage(auth()->user()->avatar_thumbnail)); ?>" class="avatar img-fluid rounded me-1" alt="" /> <span class="text-dark"><?php if(auth()->guard()->check()): ?>
									<?php echo e(Auth::user()->name); ?>

								<?php endif; ?>
								</span>
              				</a>
							<div class="dropdown-menu dropdown-menu-end">
								<a class="dropdown-item" href="<?php echo e(route('profile.index')); ?>"><i class="align-middle me-1" data-feather="user"></i> Profile</a>
								<a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
								onclick="event.preventDefault();
											  document.getElementById('logout-form').submit();">
								 <?php echo e(__('Logout')); ?>

							 	</a>

								<form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
									<?php echo csrf_field(); ?>
								</form>
							</div>
						</li>
					</ul>
				</div>
			</nav>

			<main class="content">
				<?php echo $__env->yieldContent('content'); ?>
			</main>

			<footer class="footer">
				<div class="container-fluid">
					<div class="row text-muted">
						<div class="col-6 text-start">
							<p class="mb-0">
								<a href="index.html" class="text-muted"><strong>Sample Footer</strong></a> &copy;
							</p>
						</div>
						<div class="col-6 text-end">
							<ul class="list-inline">
								<li class="list-inline-item">
									<a class="text-muted" href="#">Support</a>
								</li>
								<li class="list-inline-item">
									<a class="text-muted" href="#">Help Center</a>
								</li>
								<li class="list-inline-item">
									<a class="text-muted" href="#">Privacy</a>
								</li>
								<li class="list-inline-item">
									<a class="text-muted" href="#">Terms</a>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</footer>
		</div>
	</div>

	<?php echo app('Tightenco\Ziggy\BladeRouteGenerator')->generate(); ?>
	<?php echo $__env->make('layouts.includes.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<script src="<?php echo e(asset('js/admin/script.js')); ?>"></script>
	<?php echo $__env->yieldContent('script'); ?>

</body>

</html><?php /**PATH C:\xampp\htdocs\cucu\resources\views/layouts/admin/admindashboard.blade.php ENDPATH**/ ?>