<?php $__env->startSection('content'); ?>
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Manage Booth No.</h3>
            </div>
            <div class="col-auto d-none d-sm-block">
                <button type="button" class="btn btn-info" data-toggle="modal" data-target="#import">Import Data</button>
                <a href="<?php echo e(asset('/sample_data.csv')); ?>" target="_blank" class="btn btn-warning">Sample Data</a>
                <button type="button" id="deleteSelected" class="btn btn-danger">Delete Selected</button>
                <a href="<?php echo e(route('user.booth.truncate')); ?>" class="btn btn-danger  ">Truncate</a>
            </div>
        </div>
         
        <div class="row">
            <div class="col-12 col-md-12">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        <?php if(session('success')): ?>
                            <div class="alert alert-success p-3" role="alert">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>

                        <?php if(session('error')): ?>
                            <div class="alert alert-danger p-3" role="alert">
                                <?php echo e(session('error')); ?>

                            </div>
                        <?php endif; ?>

                        <table class="table table-hover my-0">
                            <thead>
                                <tr>
                                    <th><input type="checkbox" id="checkAll"></th>
                                    <th>#</th>
                                    <th>Booth</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $booths; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $booth): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><input type="checkbox" class="checkItem" value="<?php echo e($booth->id); ?>"></td>
                                        <td><?php echo e($booth->id); ?></td>
                                        <td><?php echo e($booth->name); ?></td>
                                        <td>
                                            <a href="<?php echo e(route('user.booth.edit', ['id' => $booth->id])); ?>" class="btn btn-primary">Edit</a>
                                            <form id="deleteForm<?php echo e($booth->id); ?>" action="<?php echo e(route('user.booth.destroy', $booth->id)); ?>" method="post" style="display: inline;">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="button" class="btn btn-danger" onclick="confirmDelete('<?php echo e($booth->id); ?>')">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td colspan="4">No booth found</td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>

                        <div class="pagination-container text-center">
                            <?php echo e($booths->links()); ?>

                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<?php $__env->stopSection(); ?>

<div class="modal fade" id="import" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Import excel</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form method="POST" enctype="multipart/form-data" action="<?php echo e(route('user.booth.import')); ?>">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="edi_data_id" value="<?php echo @$_GET['id']; ?>" />
                    <input type="file" name="file" required class="form-control">
                    <br/>
                    <button type="submit" class="btn btn-primary">Import excel</button>
                </form>
            </div>
        </div>
    </div>
</div>

<?php $__env->startSection('script'); ?>
<script>
function confirmDelete(languageId) {
    Swal.fire({
        title: 'Are you sure?',
        text: 'You won\'t be able to revert this!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes, delete it!'
    }).then((result) => {
        if (result.isConfirmed) {
            submitForm('deleteForm' + languageId);
        }
    });
}

function submitForm(formId) {
    var form = document.getElementById(formId);
    form.submit();
}

// Check All / Uncheck All functionality
document.getElementById('checkAll').addEventListener('click', function() {
    const checkboxes = document.querySelectorAll('.checkItem');
    checkboxes.forEach((checkbox) => {
        checkbox.checked = this.checked;
    });
});

// Handle individual checkbox and toggle "Check All"
document.querySelectorAll('.checkItem').forEach((checkbox) => {
    checkbox.addEventListener('change', function() {
        if (!this.checked) {
            document.getElementById('checkAll').checked = false;
        } else if (document.querySelectorAll('.checkItem:checked').length === document.querySelectorAll('.checkItem').length) {
            document.getElementById('checkAll').checked = true;
        }
    });
});

// Handle delete selected
document.getElementById('deleteSelected').addEventListener('click', function() {
    const selectedIds = Array.from(document.querySelectorAll('.checkItem:checked')).map(checkbox => checkbox.value);

    if (selectedIds.length === 0) {
        Swal.fire({
            icon: 'error',
            title: 'No items selected',
            text: 'Please select items to delete.',
        });
        return;
    }

    Swal.fire({
        title: 'Are you sure?',
        text: 'You won\'t be able to revert this!',
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes, delete them!'
    }).then((result) => {
        if (result.isConfirmed) {
            deleteSelectedBooths(selectedIds);
        }
    });
});

function deleteSelectedBooths(ids) {
    const form = document.createElement('form');
    form.method = 'POST';
    form.action = "<?php echo e(route('user.booth.bulkDelete')); ?>";
    
    const csrfInput = document.createElement('input');
    csrfInput.type = 'hidden';
    csrfInput.name = '_token';
    csrfInput.value = "<?php echo e(csrf_token()); ?>";
    form.appendChild(csrfInput);

    ids.forEach(id => {
        const input = document.createElement('input');
        input.type = 'hidden';
        input.name = 'ids[]';
        input.value = id;
        form.appendChild(input);
    });

    document.body.appendChild(form);
    form.submit();
}
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.user.userdashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/girmfpqs/karthaat.com/our_election/resources/views/user/booth/index.blade.php ENDPATH**/ ?>